(function() {
    tinymce.PluginManager.add('iframe_shortcode', function(editor, url) {
        editor.addButton('memberlist_button', {
            title: 'Member List',
            image: iframe_shortcode_plugins_url+'/memberlist.png',
            onclick: function() {
                editor.windowManager.open({
                    title: 'Member List',
                    body: [
					  /*
                      {type: 'textbox', name: 'user', label: 'User'},
                      {type: 'textbox', name: 'lang', label: 'Language ID', value:'1'},
					  */
                      {type: 'textbox', name: 'dojoid', label: 'Dojoid'},
                      {type: 'textbox', name: 'id', label: 'ID'},
                    ],
                    onsubmit: function(e) {
						/*
                        editor.insertContent('[memberlist user="' + e.data.user + '" lang="' + e.data.lang + '" dojoid="' + e.data.dojoid + '" id="' + e.data.id + '"/]');
						*/
						editor.insertContent('[memberlist dojoid="' + e.data.dojoid + '" id="' + e.data.id + '"/]');
                    }
                });
            }
        });

        editor.addButton('resultlist_button', {
            title: 'Result List',
            image: iframe_shortcode_plugins_url+'/resultlist.png',
            onclick: function() {
                editor.windowManager.open({
                    title: 'Result List',
                    body: [
					  /*
                      {type: 'textbox', name: 'user', label: 'User'},
                      {type: 'textbox', name: 'lang', label: 'Language ID', value:'1'},
					  */
                      {type: 'textbox', name: 'year', label: 'Year'},
                    ],
                    onsubmit: function(e) {
						/*
                        editor.insertContent('[resultlist user="' + e.data.user + '" lang="' + e.data.lang + '" year="' + e.data.year + '"/]');
						*/
						editor.insertContent('[resultlist year="' + e.data.year + '"/]');
                    }
                });
            }
        });
    });
})();